Subject: Re: Problem pulling large repo, Error: /usr/bin/git-pull: line 277: 5401 Terminated git read-tree --reset -u HEAD

From: Neal Kreitzinger <[email-masked]>
Date: Sun, 24 Jun 2012 01:15:37 -0500

On 6/23/2012 11:39 AM, bmitic wrote:
> I can't really explain it, but basically every time I try to pull this
> specific repo from my other servers I get the results bellow.  I have two
> identical servers where this works, but for some reason on the third one it
> doesn't.  I even got another virtual server and tried it and I was getting
> the same error.  I don't know how to troubleshoot this.
> If anyone has a suggestion I would appreciate it:
>
> [root@myserver gittestremote]# git pull -v tst1 master
> [email-masked]'s password:
> remote: Counting objects: 20095, done.
> remote: Compressing objects: 100% (18794/18794), done.
> remote: Total 20095 (delta 1005), reused 20095 (delta 1005)
> Receiving objects: 100% (20095/20095), 1.11 GiB | 11.46 MiB/s, done.
> Resolving deltas: 100% (1005/1005), done.
>  From xxxxxx.xxxxxx.com:/var/www/GITREPO3/fullsites/prd_biq
>   * branch            master     -> FETCH_HEAD
> /usr/bin/git-pull: line 277:  5401 Terminated              git read-tree
> --reset -u HEAD
> [root@myserver gittestremote]#
>
> --
> View this message in context: http://git.661346.n2.nabble.com/Problem-pulling-large-repo-Error-usr-bin-git-pull-line-277-5401-Terminated-git-read-tree-reset-u-HEAD-tp7562027.html
> Sent from the git mailing list archive at Nabble.com.
>
What is your version of git (git --version), and what are the specs of 
the machines where it worked and didn't work?  The 1.11 GiB in your 
output looks pretty big.

v/r,
neal